<script>
	import {createEventDispatcher} from 'svelte'
	const dispatch = createEventDispatcher()
	export let placeholder=''
	export let value=''
	export let delay = 200
	let delayer
</script>
<input {placeholder} {value} on:input={event=>{
	if(delayer) clearTimeout(delayer)
	delayer = setTimeout(()=> dispatch('value', event.target.value), delay)
}}/>
